Name: json-c
Version: 0.13.1
# https://github.com/json-c/json-c/wiki#license
License: MIT
Release: 1
Summary: A JSON implementation in C
URL: https://github.com/json-c/json-c
Source0: https://s3.amazonaws.com/json-c_releases/releases/json-c-%{version}.tar.gz
Patch0: json-c-huge_val-infinity-nan.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%description
JSON-C implements a reference counting object model that allows you to easily
construct JSON objects in C, output them as JSON formatted strings and parse
JSON formatted strings back into the C representation of JSON objects.
It aims to conform to RFC 7159.

%package -n libjson-c4
Summary: The json-c shared library

%description -n libjson-c4
This package provides libjson-c4 library

%package devel
Summary: Development headers and libraries for json-c
Requires: libjson-c4 == %{version}-%{release}

%description devel
This package includes header files and scripts needed for developers
using the json-c library
%prep

%setup -q
%patch0 -p1

%build

# we need to reconf to to build --with-aix-soname=svr4
NOCONFIGURE=Y ./autogen.sh

%configure \
  CPPFLAGS='-pthread' \
  LDFLAGS="-pthread -Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --disable-Bsymbolic \
  --with-aix-soname=svr4 \
  --enable-shared=yes \
  --enable-static=no

%make_build

%check

make check

%install

%make_install

# do not ship .la
rm %{buildroot}/%{_libdir}/libjson-c.la

%files -n libjson-c4
%defattr(-, qsys, *none)
%{_libdir}/libjson-c.so.4

%files devel
%defattr(-, qsys, *none)
%{_includedir}/%{name}
%{_libdir}/libjson-c.so
%{_libdir}/pkgconfig/json-c.pc

%changelog
* Tue Apr 14 2020 Abdirahim Musse <abdirahim.musse@ibm.com>
- Devel package now requires libjson-c

* Mon May 20 2019 Abdirahim Musse <abdirahim.musse@ibm.com>
- Initial RPM release
